# Bifocal

Bifocal is is a minimal theme for [Ghost](https://github.com/TryGhost/Ghost) based on Solo. It features a two-column layout when screen width allows and displays internal tags to the user.

# Instructions

1. Download this theme
2. Log into Ghost, and go to the `Design` settings area to upload the zip file

# Development

Edition styles are compiled using Gulp/PostCSS to polyfill future CSS spec. You'll need [Node](https://nodejs.org/), [Yarn](https://yarnpkg.com/) and [Gulp](https://gulpjs.com) installed globally. After that, from the theme's root directory:

```bash
# Install
yarn

# Run build & watch for changes
yarn dev
```

Now you can edit `/assets/css/` files, which will be compiled to `/assets/built/` automatically.

The `zip` Gulp task packages the theme files into `dist/solo.zip`, which you can then upload to your site.

```bash
yarn zip
```

Note that GIF files processed by Gulp become corrupted, so you will either have to use another file type or replace those files and re-zip manually in order to use GIF images.

## Copyright & License

Copyright (c) 2024 Jean Viscogliosi-Pate - Released under the [MIT license](LICENSE).
Original Solo theme relased 2013-2023 Ghost Foundation under the MIT license.
